Consulta de análisis rechazada
La API responde con 422 Unprocessable Content cuando ocurre este problema. Su type es https://lingo.dev/docs/api/errors/analytics-query-rejected. Consulta Errores y códigos de estado para conocer la estructura común a todos los errores.
<detail>
Campos#
Además de las propiedades estándar type, status, title y detail, el cuerpo incluye estos campos. El texto de detail se genera a partir de ellos, por lo que el cliente puede mostrar su propio texto en lugar del original.
| Campo | Tipo |
|---|---|
rule | "emptyQuery" | "dimensionRepeated" | "axisPlainEntry" | "rangeEmpty" | "derivationRequiresTime" | "derivationRequiresBucketedAxis" | "derivationNotDecomposable" | "previousPeriodNotWholeBuckets" | "previousPeriodOffsetMisaligned" | "previousPeriodOffsetTooShort" | "mixedFilterKinds" | "topNRequiresKeyDimension" | "topNByNotRankable" | "derivedPathNotRequested" | "orderByDimensionNotSelected" | "shareDimensionNotSelected" | "binsNotAscending" | "limitAboveMax" | "detailFieldNotAllowed" | "groupedFieldNotAllowed" | "detailKeyRequired" | "cursorInvalid" | "cursorOrderMismatch" | "keysetColumnNullable" | "maxRangeDays" | "maxBuckets" | "resultTooLarge" | "propertyRequired" |
path | string[] |
Ejemplo#
json
{
"detail": "<detail>",
"rule": "emptyQuery",
"path": [
"<path>"
],
"type": "https://lingo.dev/docs/api/errors/analytics-query-rejected",
"status": 422,
"title": "Analytics query rejected"
}Devuelto por#
GET /v2/organizations/{orgId}/analytics/modelsPOST /v2/organizations/{orgId}/analytics/event-propertiesPOST /v2/organizations/{orgId}/analytics/event-property-keysPOST /v2/organizations/{orgId}/analytics/event-volumePOST /v2/organizations/{orgId}/analytics/eventsPOST /v2/organizations/{orgId}/analytics/events-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-answersPOST /v2/organizations/{orgId}/analytics/measurement-answers-by-propertyPOST /v2/organizations/{orgId}/analytics/measurement-fieldsPOST /v2/organizations/{orgId}/analytics/measurement-scoresPOST /v2/organizations/{orgId}/analytics/translation-volume